## org.apache.lucene.facet.search.aggregator
Class ComplementCountingAggregator

    java.lang.Object
      org.apache.lucene.facet.search.aggregator.CountingAggregator
          org.apache.lucene.facet.search.aggregator.ComplementCountingAggregator

All Implemented Interfaces:
  Aggregator

    public class ComplementCountingAggregator

extends CountingAggregator

A `CountingAggregator` used during complement counting.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.facet.search.aggregator.CountingAggregator
`counterArray`

Constructor Summary
`ComplementCountingAggregator(int[] counterArray)`

Method Summary
`void` `aggregate(int ordinal)` Collect (and do whatever an implementation deems appropriate) the category given by its ordinal.

Methods inherited from class org.apache.lucene.facet.search.aggregator.CountingAggregator
`equals, hashCode, setNextDoc`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComplementCountingAggregator

    public ComplementCountingAggregator(int[] counterArray)

Method Detail

### aggregate

    public void aggregate(int ordinal)

  Description copied from interface: `Aggregator`
  Collect (and do whatever an implementation deems appropriate) the category given by its ordinal. This category belongs to a document given earlier by `Aggregator.setNextDoc(int, float)`.

  Specified by:
    `aggregate` in interface `Aggregator`
  Overrides:
    `aggregate` in class `CountingAggregator`